package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.bean.dto.CourseDimensionDto;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: 课程目标查询结果
 * @Author: CaoZixuan
 * @Date: 2024-02-28
 */
public class CourseTargetResult {

    @ApiModelProperty("课程目标id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty("课程目标名称")
    private String targetName;

    @ApiModelProperty("毕业要求指标")
    @JsonIgnore
    private String targetContent;

    @ApiModelProperty("毕业要求")
    private String degreeRequirement;

    @ApiModelProperty("课程目标毕业要求")
    private List<CourseDimensionDto> dimensionList;

    @ApiModelProperty("目标整体权重")
    private BigDecimal totalWeight;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTargetName() {
        return targetName;
    }

    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }

    public String getTargetContent() {
        return targetContent;
    }

    public void setTargetContent(String targetContent) {
        this.targetContent = targetContent;
    }

    public String getDegreeRequirement() {
        return degreeRequirement;
    }

    public void setDegreeRequirement(String degreeRequirement) {
        this.degreeRequirement = degreeRequirement;
    }

    public List<CourseDimensionDto> getDimensionList() {
        return dimensionList;
    }

    public void setDimensionList(List<CourseDimensionDto> dimensionList) {
        this.dimensionList = dimensionList;
    }

    public BigDecimal getTotalWeight() {
        return totalWeight;
    }

    public void setTotalWeight(BigDecimal totalWeight) {
        this.totalWeight = totalWeight;
    }
}
